package be.c4j.graphqldemo.graphqldemo.persistence.domain;

import javax.persistence.*;
import java.time.LocalDate;
import java.util.List;

@Entity
@Table(name = "`ORDER`")
public class Order {

    @Id
    @Column(name="id")
    private Long id;

    @Column(name="reference")
    private String reference;

    @Column(name="placed_date")
    private LocalDate placedDate;

    @Column(name="paid_date")
    private LocalDate paidDate;

    @OneToMany(fetch = FetchType.EAGER)
    @JoinColumn(name="fk_order_id")
    private List<OrderItem> orderItems;


    public Long getId() {
        return id;
    }

    public String getReference() {
        return reference;
    }

    public LocalDate getPlacedDate() {
        return placedDate;
    }

    public LocalDate getPaidDate() {
        return paidDate;
    }

    public List<OrderItem> getOrderItems() {
        return orderItems;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public void setPlacedDate(LocalDate placedDate) {
        this.placedDate = placedDate;
    }

    public void setPaidDate(LocalDate paidDate) {
        this.paidDate = paidDate;
    }

    public void setOrderItems(List<OrderItem> orderItems) {
        this.orderItems = orderItems;
    }
}
