package be.c4j.graphqldemo.graphqldemo.persistence.domain;

import javax.persistence.*;

@Entity
@Table(name = "ORDER_ITEM")
public class OrderItem {

    @EmbeddedId
    private OrderItemKey id;

    @JoinColumn(name="fk_product_id", insertable = false, updatable = false)
    @OneToOne(fetch = FetchType.EAGER)
    private Product product;

    @Column(name="quantity")
    private Long quantity;

    @Column(name="price_per_unit")
    private Double unitPrice;


    public OrderItemKey getId() {
        return id;
    }

    public Product getProduct() {
        return product;
    }

    public Long getQuantity() {
        return quantity;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }


    public void setId(OrderItemKey id) {
        this.id = id;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }
}
