package be.c4j.graphqldemo.graphqldemo.persistence.domain;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

@Embeddable
public class OrderItemKey implements Serializable {

    private static final long serialVersionUID = -5578249265608910017L;

    @Column(name="fk_product_id", insertable = false, updatable = false)
    private Long productId;

    @Column(name="fk_order_id", insertable = false, updatable = false)
    private Long orderId;

    public Long getProductId() {
        return productId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        OrderItemKey that = (OrderItemKey) o;

        if (productId != null ? !productId.equals(that.productId) : that.productId != null) return false;
        return orderId != null ? orderId.equals(that.orderId) : that.orderId == null;
    }

    @Override
    public int hashCode() {
        int result = productId != null ? productId.hashCode() : 0;
        result = 31 * result + (orderId != null ? orderId.hashCode() : 0);
        return result;
    }


}
