package be.c4j.graphqldemo.graphqldemo.persistence.domain;

import javax.persistence.*;
import java.awt.*;

@Entity
@Table(name = "PRODUCT")
public class Product {

    @Id
    @Column(name="id")
    private Long id;

    @Column(name="name", nullable = false)
    private String name;

    @Column(name="stock_quantity")
    private Integer stockQuantity;

    @Column(name="description")
    private String description;

    @Column(name="image_url")
    private String imageUrl;


    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public Integer getStockQuantity() {
        return stockQuantity;
    }

    public String getDescription() {
        return description;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setStockQuantity(Integer stockQuantity) {
        this.stockQuantity = stockQuantity;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }
}
